{% extends "base.html" %}
{% block style %}
<link rel="stylesheet" href="{{ url_for('static',filename='css/home.css') }}">
{% endblock %}

{% block main %}

<section class="d-flex flex-column align-items-center edt">
<form method="POST" action="{{ url_for('nouvel_utilisateur_post') }}">
    <div class="form-row profile-row">
        <div >
            <h1>{{titre}}</h1>
            <hr>
            <div class="form-group">
                <label> Nom </label>
                <input class="form-control" type="text" name="nom" required>
            </div>
            <div class="form-group">
                <label>Prénom</label>
                <input class="form-control" type="text" name="prenom" required>
            </div>
            <div class="form-group">
                <label>Identifiant</label>
                <input class="form-control" type="text" name="identifiant" required>
            </div>
            <div class="form-group">
                    <label>Rôle</label>
                    <select class="form-control" name = "role" aria-label="Rôle" required>
                        <option value="Client">Client</option>
                        <option value="Architect">Architect</option>
                        <option value="Poseur">Poseur</option>
                        <option value="Implenteur">Implenteur</option>
                      </select>
            </div>
            <div class="form-group">
                <label>Email</label>
                <input class="form-control" type="email" autocomplete="off" name="email" required>
            </div>
            <div class="form-group">
                <label>Mot de passe</label>
                <input class="form-control" type="password" name="password" autocomplete="off"
                    title="Ce champ attend au moins 8 caractères alphanumériques."
                    pattern=".[a-zA-Z0-9]{7,}" required>
            </div>
            <div class="form-group">
                <label>Confirmation du mot de passe</label>
                <input class="form-control" type="password" name="confirmpass" autocomplete="off"
                            required>
            </div>
            <hr>
        </div>
    </div>
    <div class="form-row" style = "justify-content: space-around; margin-bottom: 1em;">
            <button class="btn btn-danger form-btn" onclick="window.location.href = '/'">Annuler</button>
            <button class="btn btn-primary form-btn" type="submit">Enregistrer</button>
    </div>
</form>
</div>
</section>

{% endblock %}